/******************************************************************************
**	ultima revisione: 28/12/2004
**
**	Qtballit 0.1 beta - Qt ballistic calculation app - Copyright (C)  Stefano Jodice 2004  
**
**     	This program is free software; you can redistribute it and/or modify
**     	it under the terms of the GNU General Public License as published by
**     	the Free Software Foundation; either version 2 of the License, or
**    	 (at your option) any later version.
** 
**    	This program is distributed in the hope that it will be useful,
**     	but WITHOUT ANY WARRANTY; without even the implied warranty of
**    	 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**     	GNU General Public License for more details.
**
**     	You should have received a copy of the GNU General Public License
**     	along with this program; if not, write to the Free Software
**    	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#include <qapplication.h>
#include <qtranslator.h>
#include <qtextcodec.h>


#include "qtballit.h"

char percorso[255];


int main( int argc, char ** argv )
{
    
    QApplication a( argc, argv );
     QTranslator translator( 0 );
   
     if (argc<2)
     translator.load( QString("qtballit_") + QTextCodec::locale(), "." );
	 else
     translator.load( QString(argv[1]), "." );
	 
        a.installTranslator( &translator );
    qtballit w;
    w.show();
    
    a.connect( &a, SIGNAL( lastWindowClosed() ), &a, SLOT( quit() ) );
     
 
    return a.exec();
}


